/**
 * 
 */
package de.dhbwstuttgart.bytecode.genericsGeneratorTypes;

import java.util.Set;

import de.dhbwstuttgart.bytecode.constraint.TPHConstraint;

/**
 * @author fayez
 *
 */
public class GenericsGeneratorResult {
	private TPHConstraint constraint;
	/** 
	 * contains the names of all type placeholders which are equals to the left side of
	 * the constraint {@link #constraint}.
	 */
	private Set<String> equalsTPHs;
	/**
	 * @param constraint
	 * @param equalsTPHs
	 */
	public GenericsGeneratorResult(TPHConstraint constraint, Set<String> equalsTPHs) {
		this.constraint = constraint;
		this.equalsTPHs = equalsTPHs;
	}
	
	/**
	 * @return the constraint
	 */
	public TPHConstraint getConstraint() {
		return constraint;
	}
	/**
	 * @param constraint the constraint to set
	 */
	public void setConstraint(TPHConstraint constraint) {
		this.constraint = constraint;
	}
	/**
	 * @return the equalsTPHs
	 */
	public Set<String> getEqualsTPHs() {
		return equalsTPHs;
	}
	/**
	 * @param equalsTPHs the equalsTPHs to set
	 */
	public void setEqualsTPHs(Set<String> equalsTPHs) {
		this.equalsTPHs = equalsTPHs;
	}
	
}
